Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Class Multinomial.MEstimator

    java.lang.Object
      cc.mallet.types.Multinomial.Estimator
          cc.mallet.types.Multinomial.MEstimator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  Multinomial.LaplaceEstimator, Multinomial.MLEstimator

Enclosing class:
  Multinomial

    public static class Multinomial.MEstimator

extends Multinomial.Estimator

An Estimator in which probability estimates in a Multinomial are generated by adding a constant m (specified at construction time) to each count before dividing by the total of the m-biased counts.

See Also:
  Serialized Form

Constructor Summary
`Multinomial.MEstimator(Alphabet dictionary, double m)`
`Multinomial.MEstimator(double m)`
`Multinomial.MEstimator(int size, double m)`

Method Summary
`Multinomial` | `estimate()`

Methods inherited from class cc.mallet.types.Multinomial.Estimator
`clone, ensureCapacity, getCount, increment, increment, increment, increment, increment, increment, print, reset, setAlphabet, size`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Multinomial.MEstimator

    public Multinomial.MEstimator(Alphabet dictionary,
                                  double m)

### Multinomial.MEstimator

    public Multinomial.MEstimator(int size,
                                  double m)

### Multinomial.MEstimator

    public Multinomial.MEstimator(double m)

Method Detail

### estimate

    public Multinomial estimate()

  Specified by:
    `estimate` in class `Multinomial.Estimator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD